package com.bwie.auth.controller;

import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.request.UserReq;
import com.bwie.common.domain.response.UserRes;
import com.bwie.common.result.Result;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info: 鉴权控制层
 */
@RestController
public class AuthController {

    /**
     * 注入鉴权业务
     */
    @Resource
    private AuthService authService;


    /**
     * 登录
     * @param userReq
     * @return
     */
    @PostMapping("/login")
    public Result<UserRes> login(@RequestBody UserReq userReq){
        return authService.login(userReq);
    }

    /**
     * 获取用户信息
     * @return
     */
    @GetMapping("/info")
    public Result<UserRes> info(){
        return authService.info();
    }

    @PostMapping("/logout")
    public Result logout(){
        return authService.logout();
    }


}
