package com.bwie.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info: 借款实体类
 */
@Data
public class BorrowMoney {
    /**
     * 主键
     */
    private Integer id;
    /**
     * 借款时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date borrowTime;
    /**
     * 借款金额
     */
    private Integer borrowMoney;
    /**
     * 还款期数
     */
    private Integer repaymentPlan;
    /**
     * 最近还款时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date latelyBackTime;
    /**
     * 利息
     */
    private Double interest;
    /**
     * 状态
     */
    private Integer status;

    /**
     * 手续费
     */
    private Double handlingCharge;

    /**
     * 每月还款金额
     */
    private Double everyMonthMoney;

    /**
     * 用户id
     */
    private Integer userId;
}
