package com.bwie.es.service.impl;

import com.alibaba.fastjson.JSON;
import com.bwie.common.domain.BorrowMoney;
import com.bwie.common.domain.request.BorrowMoneyReq;
import com.bwie.common.result.Result;
import com.bwie.es.feign.FeignServer;
import com.bwie.es.service.ESService;
import org.elasticsearch.action.bulk.BulkRequest;
import org.elasticsearch.action.index.IndexRequest;
import org.elasticsearch.client.RequestOptions;
import org.elasticsearch.client.RestHighLevelClient;
import org.elasticsearch.common.xcontent.XContentType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.io.IOException;
import java.util.List;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info: es
 */
@Service
public class ESServiceImpl implements ESService {

    @Resource
    private RestHighLevelClient restHighLevelClient;

    @Resource
    private FeignServer feignServer;

    public static final String INDEX_NAME="borrow";

    @Override
    public void addBatch() {
        System.out.println("开始同步");
        Result<List<BorrowMoney>> listResult = feignServer.giveESData();
        List<BorrowMoney> data = listResult.getData();
        BulkRequest bulkRequest = new BulkRequest();
        System.out.println("同步数据数量 "+data.size());
        data.forEach(obj -> {
            bulkRequest.add(
                    new IndexRequest(INDEX_NAME)
                            .id(obj.getId().toString())
                    .source(JSON.toJSONString(obj),XContentType.JSON)
            );
        });
        try {
            restHighLevelClient.bulk(bulkRequest, RequestOptions.DEFAULT);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
