package com.bwie.server.service;

import com.bwie.common.domain.BorrowMoney;
import com.bwie.common.domain.request.BorrowMoneyReq;
import com.bwie.common.result.Result;

import java.util.List;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info:
 */
public interface BorrowMoneyService {

    /**
     * 查询借款信息
     * @return
     */
    Result<List<BorrowMoney>> selectBorrowMoney(BorrowMoneyReq borrowMoneyReq);

    /**
     * 计算
     * @param borrowMoney
     * @return
     */
    Result<BorrowMoney> calculate(BorrowMoney borrowMoney);

    /**
     * 添加借款信息
     * @param borrowMoney
     * @return
     */
    Result addBorrowMoney(BorrowMoney borrowMoney);


    /**
     * 给予es数据
     * @return
     */
    Result<List<BorrowMoney>> giveESData();

    /**
     * 更改借款状态
     * @return
     */
    Result upd(Integer id);
}
